%define upstream_name    Test-Pod-Spelling-CommonMistakes
%define upstream_version 1.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Checks POD for common spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Spell::CommonMistakes) >= 0.10.0
BuildRequires: perl(Test::Builder) >= 0.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod) >= 1.400.0
BuildArch:  noarch

%description
This module checks your POD for common spelling errors. This differs than
the Test::Spelling manpage because it doesn't use your system spellchecker
and instead uses the Pod::Spell::CommonMistakes manpage for the heavy
lifting. Using it is the same as any standard Test::* module, as seen here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-3.mga6
+ Revision: 1034539
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 967056
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.1.0-1.mga6
+ Revision: 848031
- update to 1.001

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 739330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 686518
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 515367
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 373692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 61616
- update to 1.000

* Mon Jan 24 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 36614
- mageia rebuild
- imported package perl-Test-Pod-Spelling-CommonMistakes

